Activities API
PATCH/api/v1/activities/ad-hoc/{id}
Product availabilityAlgaPSA

Update ad-hoc activity

Updates an ad-hoc item's title, notes or optional times. Omitted fields are left unchanged; `notes: null` clears the field. Requires the caller to be an assignee, or hold `user_schedule:update` / `user_schedule:read_all`.

Path parameters

idstringRequired
Ad-hoc activity identifier (the backing schedule entry id).

Request body

Content type: application/json · schema UpdateAdHocActivityBodyV1

titlestring
min length 1
notesstringNullable
scheduledStartstring <date-time>Nullable
scheduledEndstring <date-time>Nullable

Response body

Success response 200 · schema AdHocActivityResponseV1

dataobjectRequired
idstringRequired
titlestringRequired
descriptionstring
typestringRequired
Enum: scheduleprojectTasktickettimeEntryworkflowTasknotificationdocument
statusstringRequired
statusColorstring
prioritystringRequired
Enum: lowmediumhigh
priorityNamestring
priorityColorstring
dueDatestring
startDatestring
endDatestring
assignedToarray of string
itemsstring
assignedToNamesarray of string
itemsstring
sourceIdstringRequired
sourceTypestringRequired
Enum: scheduleprojectTasktickettimeEntryworkflowTasknotificationdocument
actionsarray of objectRequired
itemsobject
idstringRequired
labelstringRequired
iconstring
disabledboolean
disabledReasonstring
isClosedboolean
tenantstringRequired
createdAtstringRequired
updatedAtstringRequired
metaany

Response codes

200
Updated ad-hoc activity.
400
Invalid request body (e.g. end before start).
401
Authentication required.
403
Permission denied.
404
Ad-hoc activity not found.
500
Unexpected failure updating the ad-hoc activity.